mtext_duplicate(3m17n)

NAME
mtext_duplicate - Create a new M-text from a part of an existing M-text.

SYNOPSIS
MText* mtext_duplicate (MText * mt, int from, int to)

DESCRIPTION
Create a new M-text from a part of an existing M-text.

The mtext_duplicate() function creates a copy of sub-text of M-text mt, starting at from (inclusive) and ending at to (exclusive) while inheriting all the text properties of mt. mt itself is not modified.

RETURN VALUE

    If the operation was successful, mtext_duplicate() returns a pointer to the created M-text. If an error is detected, it returns NULL and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE

SEE ALSO

    mtext_dup()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.